Bug 273301 - Review Request: perl-Class-CSV - Class based CSV parser/writer
Review Request: perl-Class-CSV - Class based CSV parser/writer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-31 17:09 EDT by Dave Malcolm
Modified: 2008-06-08 13:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 10:53:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2007-08-31 17:09:38 EDT
Spec URL: http://people.redhat.com/dmalcolm/perl/perl-Class-CSV.spec
SRPM URL: http://people.redhat.com/dmalcolm/perl/perl-Class-CSV-1.03-1.src.rpm
Description: 
This module can be used to create objects from CSV files, or to create CSV
files from objects. Text::CSV_XS is used for parsing and creating CSV file
lines, so any limitations in Text::CSV_XS will of course be inherant in
this module.

I'm seeking a sponsor.
Comment 1 Jason Tibbitts 2007-10-03 13:14:58 EDT
Package builds fine, rpmlint is clean.

Actually, I'm a bit surprised that rpmlint doesn't complain about the duplicated
dependency for perl(Text::CSV_XS).  RPM finds one unversioned dependency itself,
while you specify a versioned one.  Frankly I'm not really sure how much of a
problem this is.  I know the same situation with Provides: is rather bad.

Honestly I'd just drop the versioned dependency  The oldest supported Fedora
release has always had the required version of Test::CSV_XS so there shouldn't
be any need for the versioned dependency.

Oddly, RPM doesn't automatically find any dependency on Class:Accessor, but it's
dependency detection is far from perfect.

Review:
* source files match upstream:
   bce148284947a2cf7375eac13260fbfe23cb6b8c215970e3af7049b36de5e354   
   Class-CSV-1.03.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
X final provides and requires include a duplicate dependency:
   per(Class::CSV)
   perl(Class::CSV::Base) = 1.3
   perl(Class::CSV::CSV_XS_Options)
   perl(Class::CSV::Line)
   perl-Class-CSV = 1.03-1.fc8
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Class::Accessor) >= 0.18
X  perl(Text::CSV_XS)
X  perl(Text::CSV_XS) >= 0.23
   perl(base)
   perl(constant)
   perl(strict)
   perl(vars)
   perl(warnings)

* %check is present and the single included test passes:
   All tests successful.
   Files=1, Tests=1,  0 wallclock secs ( 0.02 cusr +  0.01 csys =  0.03 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Jason Tibbitts 2007-11-06 11:56:35 EST
Ping?  This package is just about ready to go.  If you need help filtering that
dependency, just ask.
Comment 3 Dave Malcolm 2007-11-08 10:51:47 EST
Sorry about the delay (got married/honeymoon)

Thanks for looking at this package, and for checking on the version of
Test::CSV_XS.  Based on that, I've dropped the explicit versioned requires, so
that we get an autogenerated one instead.

Revised specfile here: http://people.redhat.com/dmalcolm/perl/perl-Class-CSV.spec
and SRPM here: http://people.redhat.com/dmalcolm/perl/perl-Class-CSV-1.03-2.src.rpm
Comment 4 Jason Tibbitts 2007-11-08 20:08:24 EST
Congratulations!

The updated package looks good to me.

APPROVED

I'll sponsor you; just request the access and I'll click the button.
Comment 5 Dave Malcolm 2007-11-09 13:13:20 EST
Thanks.  

I've created a Fedora account (dmalcolm), have reached "cla_done", and have
requested "cvsextras" and "fedorabugs".
Comment 6 Jason Tibbitts 2007-11-09 13:30:44 EST
Someone else must already have taken care of it because both memberships already
show as approved in the database.
Comment 7 Dave Malcolm 2007-11-09 13:43:35 EST
New Package CVS Request
=======================
Package Name: perl-Class-CSV 
Short Description: Class based CSV parser/writer
Owners: dmalcolm
Branches: F-7 F-8
InitialCC: dmalcolm
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2007-11-10 15:23:58 EST
cvs done.
Comment 9 Dave Malcolm 2007-11-12 10:53:03 EST
Thanks; imported and built into F-7, F-8 and devel
Comment 10 Dave Malcolm 2008-06-07 19:57:35 EDT
Package Change Request
======================
Package Name: perl-Class-CSV
New Branches: EL-5
Updated EPEL Owners: dmalcolm, jstanley
Comment 11 Kevin Fenzi 2008-06-08 13:54:53 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.